package com.delivery.system;

import com.ruoyi.common.security.annotation.EnableCustomConfig;
import com.ruoyi.common.security.annotation.EnableRyFeignClients;
import com.ruoyi.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * 系统模块
 *
 * @author jty
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
@ComponentScan(basePackages = {"com.ruoyi.system.api","com.delivery"})
public class DeliverySystemApplication {
    public static void main(String[] args) {
        SpringApplication.run(DeliverySystemApplication.class, args);
        System.out.println("外卖系统启动成功");
    }
}